Debian Bug report logs - #590421
salome: FTBFS: Update to Python 2.6

version graph

Package: src:salome; Maintainer for src:salome is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 26 Jul 2010 07:11:12 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version salome/5.1.3-9

Fixed in version salome/5.1.3-10

Done: Adam C Powell IV <hazelsct@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#590421; Package src:salome. (Mon, 26 Jul 2010 07:11:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 26 Jul 2010 07:11:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: salome: FTBFS: mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
Date: Mon, 26 Jul 2010 09:03:30 +0200
Source: salome
Version: 5.1.3-9
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100725 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> make[3]: Nothing to be done for `install-exec-am'.
> make[3]: Nothing to be done for `install-data-am'.
> make[3]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> make[2]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> make[1]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> mv debian/tmp/usr/idl debian/tmp/usr/share/
> install -d debian/tmp/usr/share/aclocal
> mv debian/tmp/usr/salome_adm/unix/config_files/check_Kernel.m4 debian/tmp/usr/share/aclocal/salome.m4
> for m4file in check_GUI.m4 check_GEOM.m4 check_Med.m4 check_RANDOMIZER.m4 check_SMESH.m4; do \
> 	  cat debian/tmp/usr/adm_local/unix/config_files/$m4file >> debian/tmp/usr/share/aclocal/salome.m4; \
> 	done
> cp KERNEL_SRC_5.1.3/bin/killSalome debian/tmp/usr/bin/
> chmod +x debian/tmp/usr/bin/killSalome
> mv debian/tmp/usr/lib/salome/bin/runSalome debian/tmp/usr/bin/
> install -d debian/tmp/usr/share/applications
> cp -a debian/salome.desktop debian/tmp/usr/share/applications/
> rm -f debian/tmp/usr/bin/appliskel/env.d/*.in \
> 	  debian/tmp/usr/bin/appliskel/env.d/*.obs
> mv debian/tmp/usr/lib/salome/lib/SalomePyQt.so debian/tmp/usr/lib/salome/lib/SalomePyQt.so.0
> ln -s SalomePyQt.so.0 debian/tmp/usr/lib/salome/lib/SalomePyQt.so
> mv debian/tmp/usr/Tests debian/tmp/usr/share/salome/
> rm -rf debian/tmp/usr/lib64
> rm -rf debian/tmp/usr/doc
> rm -rf debian/tmp/usr/lib/salome/bin/appliskel
> rm -rf debian/tmp/usr/lib/salome/bin/HXX2SALOME_GENERIC_CLASS*
> rm -f debian/tmp/usr/lib/salome/bin/*.pyo debian/tmp/usr/lib/salome/bin/*.pyc
> rm -f debian/tmp/usr/lib/salome/bin/*.csh debian/tmp/usr/lib/salome/bin/*.ksh debian/tmp/usr/lib/salome/bin/*.bat
> for shscript in `ls debian/tmp/usr/lib/salome/bin/*.sh`; do \
> 	  shbase=`basename $shscript .sh`; \
> 	  mv debian/tmp/usr/lib/salome/bin/$shbase.sh debian/tmp/usr/lib/salome/bin/$shbase; \
> 	done
> mv debian/tmp/usr/lib/salome/bin/*.xml debian/tmp/usr/lib/salome/bin/VERSION \
> 	  debian/tmp/usr/lib/salome/bin/*.tgz debian/tmp/usr/lib/salome/bin/*.awk \
> 	  debian/tmp/usr/share/salome/
> install -d debian/salome/usr/lib/salome/bin
> mv debian/tmp/usr/lib/salome/bin/SALOME_ContainerPy.py debian/salome/usr/lib/salome/bin/SALOME_ContainerPy
> mv debian/tmp/usr/lib/salome/bin/*.py debian/tmp/usr/lib/python2.5/*-packages/salome/
> mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
> make: *** [install-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/07/25/salome_5.1.3-9_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#590421; Package src:salome. (Mon, 02 Aug 2010 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 02 Aug 2010 16:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 590421@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 590421@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#590421: salome: FTBFS: mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
Date: Mon, 02 Aug 2010 12:51:48 -0400
[Message part 1 (text/plain, inline)]
retitle 590421 salome: FTBFS: Update to Python 2.6
tags 590421 pending
thanks

The version in alioth builds working .debs with Python 2.6, so after a
couple more changes to the package, I'll upload a working version.

-Adam

On Mon, 2010-07-26 at 09:03 +0200, Lucas Nussbaum wrote:
> Source: salome
> Version: 5.1.3-9
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100725 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> > make[3]: Entering directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > make[3]: Nothing to be done for `install-exec-am'.
> > make[3]: Nothing to be done for `install-data-am'.
> > make[3]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > make[2]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > make[1]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > mv debian/tmp/usr/idl debian/tmp/usr/share/
> > install -d debian/tmp/usr/share/aclocal
> > mv debian/tmp/usr/salome_adm/unix/config_files/check_Kernel.m4 debian/tmp/usr/share/aclocal/salome.m4
> > for m4file in check_GUI.m4 check_GEOM.m4 check_Med.m4 check_RANDOMIZER.m4 check_SMESH.m4; do \
> > 	  cat debian/tmp/usr/adm_local/unix/config_files/$m4file >> debian/tmp/usr/share/aclocal/salome.m4; \
> > 	done
> > cp KERNEL_SRC_5.1.3/bin/killSalome debian/tmp/usr/bin/
> > chmod +x debian/tmp/usr/bin/killSalome
> > mv debian/tmp/usr/lib/salome/bin/runSalome debian/tmp/usr/bin/
> > install -d debian/tmp/usr/share/applications
> > cp -a debian/salome.desktop debian/tmp/usr/share/applications/
> > rm -f debian/tmp/usr/bin/appliskel/env.d/*.in \
> > 	  debian/tmp/usr/bin/appliskel/env.d/*.obs
> > mv debian/tmp/usr/lib/salome/lib/SalomePyQt.so debian/tmp/usr/lib/salome/lib/SalomePyQt.so.0
> > ln -s SalomePyQt.so.0 debian/tmp/usr/lib/salome/lib/SalomePyQt.so
> > mv debian/tmp/usr/Tests debian/tmp/usr/share/salome/
> > rm -rf debian/tmp/usr/lib64
> > rm -rf debian/tmp/usr/doc
> > rm -rf debian/tmp/usr/lib/salome/bin/appliskel
> > rm -rf debian/tmp/usr/lib/salome/bin/HXX2SALOME_GENERIC_CLASS*
> > rm -f debian/tmp/usr/lib/salome/bin/*.pyo debian/tmp/usr/lib/salome/bin/*.pyc
> > rm -f debian/tmp/usr/lib/salome/bin/*.csh debian/tmp/usr/lib/salome/bin/*.ksh debian/tmp/usr/lib/salome/bin/*.bat
> > for shscript in `ls debian/tmp/usr/lib/salome/bin/*.sh`; do \
> > 	  shbase=`basename $shscript .sh`; \
> > 	  mv debian/tmp/usr/lib/salome/bin/$shbase.sh debian/tmp/usr/lib/salome/bin/$shbase; \
> > 	done
> > mv debian/tmp/usr/lib/salome/bin/*.xml debian/tmp/usr/lib/salome/bin/VERSION \
> > 	  debian/tmp/usr/lib/salome/bin/*.tgz debian/tmp/usr/lib/salome/bin/*.awk \
> > 	  debian/tmp/usr/share/salome/
> > install -d debian/salome/usr/lib/salome/bin
> > mv debian/tmp/usr/lib/salome/bin/SALOME_ContainerPy.py debian/salome/usr/lib/salome/bin/SALOME_ContainerPy
> > mv debian/tmp/usr/lib/salome/bin/*.py debian/tmp/usr/lib/python2.5/*-packages/salome/
> > mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
> > make: *** [install-stamp] Error 1
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2010/07/25/salome_5.1.3-9_lsid64.buildlog
> 
> A list of current common problems and possible solutions is available at 
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> 
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot.  Internet was not
> accessible from the build systems.
> 

-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'salome: FTBFS: Update to Python 2.6' from 'salome: FTBFS: mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory' Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 16:54:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 16:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#590421; Package src:salome. (Tue, 10 Aug 2010 18:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 10 Aug 2010 18:00:03 GMT) Full text and rfc822 format available.

Message #19 received at 590421@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 590421@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Denis Barbier <bouzim@gmail.com>, Andre Espaze <andre.espaze@logilab.fr>
Subject: Re: Bug#590421: salome: FTBFS: mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
Date: Tue, 10 Aug 2010 13:58:00 -0400
[Message part 1 (text/plain, inline)]
Actually, this brings up an important question.  I built it just fine
last night with up-to-date unstable (i.e. python 2.6), and its python
libraries etc. are in /usr/lib/python2.6/dist-packages .  And it seems
to start up and load the GEOM module okay with this arrangement.

André do you know of any issues which would prevent it from running
properly with 2.6?  If not, we might just go ahead and use python 2.6;
otherwise, I'll need to force it to completely use and depend on 2.5.

I'm going to go ahead and try 100% 2.6 when I build tonight and will let
you know if anything comes up.

-Adam

On Mon, 2010-08-02 at 12:51 -0400, Adam C Powell IV wrote:
> retitle 590421 salome: FTBFS: Update to Python 2.6
> tags 590421 pending
> thanks
> 
> The version in alioth builds working .debs with Python 2.6, so after a
> couple more changes to the package, I'll upload a working version.
> 
> -Adam
> 
> On Mon, 2010-07-26 at 09:03 +0200, Lucas Nussbaum wrote:
> > Source: salome
> > Version: 5.1.3-9
> > Severity: serious
> > Tags: squeeze sid
> > User: debian-qa@lists.debian.org
> > Usertags: qa-ftbfs-20100725 qa-ftbfs
> > Justification: FTBFS on amd64
> > 
> > Hi,
> > 
> > During a rebuild of all packages in sid, your package failed to build on
> > amd64.
> > 
> > Relevant part:
> > > make[3]: Entering directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > > make[3]: Nothing to be done for `install-exec-am'.
> > > make[3]: Nothing to be done for `install-data-am'.
> > > make[3]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > > make[2]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > > make[1]: Leaving directory `/build/user-salome_5.1.3-9-amd64-MMJfn6/salome-5.1.3/HXX2SALOME_SRC_5.1.3'
> > > mv debian/tmp/usr/idl debian/tmp/usr/share/
> > > install -d debian/tmp/usr/share/aclocal
> > > mv debian/tmp/usr/salome_adm/unix/config_files/check_Kernel.m4 debian/tmp/usr/share/aclocal/salome.m4
> > > for m4file in check_GUI.m4 check_GEOM.m4 check_Med.m4 check_RANDOMIZER.m4 check_SMESH.m4; do \
> > > 	  cat debian/tmp/usr/adm_local/unix/config_files/$m4file >> debian/tmp/usr/share/aclocal/salome.m4; \
> > > 	done
> > > cp KERNEL_SRC_5.1.3/bin/killSalome debian/tmp/usr/bin/
> > > chmod +x debian/tmp/usr/bin/killSalome
> > > mv debian/tmp/usr/lib/salome/bin/runSalome debian/tmp/usr/bin/
> > > install -d debian/tmp/usr/share/applications
> > > cp -a debian/salome.desktop debian/tmp/usr/share/applications/
> > > rm -f debian/tmp/usr/bin/appliskel/env.d/*.in \
> > > 	  debian/tmp/usr/bin/appliskel/env.d/*.obs
> > > mv debian/tmp/usr/lib/salome/lib/SalomePyQt.so debian/tmp/usr/lib/salome/lib/SalomePyQt.so.0
> > > ln -s SalomePyQt.so.0 debian/tmp/usr/lib/salome/lib/SalomePyQt.so
> > > mv debian/tmp/usr/Tests debian/tmp/usr/share/salome/
> > > rm -rf debian/tmp/usr/lib64
> > > rm -rf debian/tmp/usr/doc
> > > rm -rf debian/tmp/usr/lib/salome/bin/appliskel
> > > rm -rf debian/tmp/usr/lib/salome/bin/HXX2SALOME_GENERIC_CLASS*
> > > rm -f debian/tmp/usr/lib/salome/bin/*.pyo debian/tmp/usr/lib/salome/bin/*.pyc
> > > rm -f debian/tmp/usr/lib/salome/bin/*.csh debian/tmp/usr/lib/salome/bin/*.ksh debian/tmp/usr/lib/salome/bin/*.bat
> > > for shscript in `ls debian/tmp/usr/lib/salome/bin/*.sh`; do \
> > > 	  shbase=`basename $shscript .sh`; \
> > > 	  mv debian/tmp/usr/lib/salome/bin/$shbase.sh debian/tmp/usr/lib/salome/bin/$shbase; \
> > > 	done
> > > mv debian/tmp/usr/lib/salome/bin/*.xml debian/tmp/usr/lib/salome/bin/VERSION \
> > > 	  debian/tmp/usr/lib/salome/bin/*.tgz debian/tmp/usr/lib/salome/bin/*.awk \
> > > 	  debian/tmp/usr/share/salome/
> > > install -d debian/salome/usr/lib/salome/bin
> > > mv debian/tmp/usr/lib/salome/bin/SALOME_ContainerPy.py debian/salome/usr/lib/salome/bin/SALOME_ContainerPy
> > > mv debian/tmp/usr/lib/salome/bin/*.py debian/tmp/usr/lib/python2.5/*-packages/salome/
> > > mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
> > > make: *** [install-stamp] Error 1
> > 
> > The full build log is available from:
> >    http://people.debian.org/~lucas/logs/2010/07/25/salome_5.1.3-9_lsid64.buildlog
> > 
> > A list of current common problems and possible solutions is available at 
> > http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> > 
> > About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> > of the Grid'5000 platform, using a clean chroot.  Internet was not
> > accessible from the build systems.
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Bug Marked as fixed in versions salome/5.1.3-10. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 17:33:04 GMT) Full text and rfc822 format available.

Reply sent to Adam C Powell IV <hazelsct@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 17:33:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 17:33:08 GMT) Full text and rfc822 format available.

Message #26 received at 590421-done@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 590421-done@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, control@bugs.debian.org
Subject: Re: Bug#590421: salome: FTBFS: mv: target `debian/tmp/usr/lib/python2.5/*-packages/salome/' is not a directory
Date: Thu, 02 Sep 2010 13:27:21 -0400
[Message part 1 (text/plain, inline)]
fixed 590421 5.1.3-10
thanks

This is fixed in the latest upload, and builds properly on PPC and S390.
Forgot to close this bug on the 5.1.3-10 changelog line "Changed all
Python versions to 2.6."

Other arches are failing for other reasons (two new FTBFS bugs), but I'm
pretty sure this bug can be closed.

-Adam

On Tue, 2010-08-10 at 13:58 -0400, Adam C Powell IV wrote:
> Actually, this brings up an important question.  I built it just fine
> last night with up-to-date unstable (i.e. python 2.6), and its python
> libraries etc. are in /usr/lib/python2.6/dist-packages .  And it seems
> to start up and load the GEOM module okay with this arrangement.
> 
> André do you know of any issues which would prevent it from running
> properly with 2.6?  If not, we might just go ahead and use python 2.6;
> otherwise, I'll need to force it to completely use and depend on 2.5.
> 
> I'm going to go ahead and try 100% 2.6 when I build tonight and will let
> you know if anything comes up.
> 
> -Adam
> 
> On Mon, 2010-08-02 at 12:51 -0400, Adam C Powell IV wrote:
> > retitle 590421 salome: FTBFS: Update to Python 2.6
> > tags 590421 pending
> > thanks
> > 
> > The version in alioth builds working .debs with Python 2.6, so after a
> > couple more changes to the package, I'll upload a working version.
> > 
> > -Adam
> > 
> > On Mon, 2010-07-26 at 09:03 +0200, Lucas Nussbaum wrote:
> > > Source: salome
> > > Version: 5.1.3-9
> > > Severity: serious
> > > Tags: squeeze sid
> > > User: debian-qa@lists.debian.org
> > > Usertags: qa-ftbfs-20100725 qa-ftbfs
> > > Justification: FTBFS on amd64
> > > 
> > > Hi,
> > > 
> > > During a rebuild of all packages in sid, your package failed to build on
> > > amd64.
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Engineering consulting with open source tools
http://www.opennovation.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:33:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:43:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.